package com.yihaomen.hm.controller;

import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.servlet.ModelAndView;

import com.yihaomen.hm.model.User;
import com.yihaomen.hm.service.UserService;

@Controller
@RequestMapping("/view")
public class JspThymeleafTestController {
	
	@Autowired
    private UserService userService;
	
	@RequestMapping("/jsp")
	public ModelAndView jspPage() {
		ModelAndView mv = new ModelAndView("jsp/list");		
		List<User> list = userService.findAll();
		mv.addObject("users", list);
		return mv;		
	}
	
	@RequestMapping("/thymeleaf")
	public ModelAndView thymeleafPage() {
		ModelAndView mv = new ModelAndView("html/list");		
		List<User> list = userService.findAll();
		mv.addObject("users", list);
		return mv;		
	}

}
