$(function(){	
	$("#login_btn").bind("click",function() {
		submitForm();
	});	
	
	$("#submit_form").keypress(function (e) {
	    if ((e.which && e.which == 13) || (e.keyCode && e.keyCode == 13)) {
	    	$("#login_btn").click();
	        return false;
	    } else {
	        return true;
	    }
	});
	
});

function submitForm() {
	var flag = false;
	if($("#submit_form").valid()){
		var elelemtArray = $("#submit_form").serializeArray();
		var data = {};
		$.each(elelemtArray, function(i, item) {
			data[item.name] = item.value;
		})

		var request = {url:"/mosquitto/login/action", data:data, type:"POST", async:false, dataType:"json"}
		return $.ajax(request).done(function(data){
			if (data.code == "200"){
				window.location.href="/mosquitto/server/";
			}else{
				layer.msg('登录验证失败', {icon: 2});
			}
		}).fail(function(){
			console.log('error');
		})
	}
	return flag;
}

var LoginFormValidator = function() {	
    var handValidate = function() { 
    
	    $('#submit_form').validate({
	   	    errorElement: 'span',
	        errorClass: 'help-block-customize',
	        focusInvalid: false, 
	        ignore: "null",
	        onfocusout: function(e) {
	            this.element(e);
	        }
	        , 
	        onkeyup: false,
	        rules: {
	           userName: {
	               required: true
	           },
	           password: {
	               required: true
	           }
	       },
	
	       messages: {
	    	   userName: {
	               required: " 用户名不能为空"
	           },
	           password: {
	               required: " 密码不能为空"
	           }
	       },
	
	       invalidHandler: function(event, validator) { 
	       },
	
	       highlight: function(element) {	    	  
	           $(element).addClass('has-error');
	           $(element).parent().prev(".control-label").addClass('has-error');
	       },
	
	       success: function(label, element) {
	    	   var x =arguments;
	    	   $(element).removeClass('has-error');	    	  
	           label.remove();
	       },
	
	       errorPlacement: function(error, element) {
	    	   error.appendTo(element.parent())
	    	   // error.appendTo($(element).parent().prev(".control-label"));
	           //error.insertAfter(element.closest('.col-md-9'));
	       },
	
	       submitHandler: function(form) {
	           form.submit(); 
	       }
	   });
    
    }

    return {       
        init: function() {
        	handValidate();
        }
    };
}();
